--- blagg.orig	2003-09-05 16:40:47.000000000 -0500
+++ blagg	2005-03-03 14:59:00.000000000 -0600
@@ -9,12 +9,12 @@
 # --- Configurable variables -----
 
 # Where are my blog entries kept?
-my $datadir = "/Library/WebServer/Documents/blosxom";
+my $datadir = "/home/bothac/blagg/";
 
 # What external program should I use to grab RSS feeds from remote URLs?
 # Mac OS X default is 'curl'; *nix should like 'lynx -source' or 
 # 'wget --quiet -O -'
-my $get_prog = 'curl';
+my $get_prog = 'wget --quiet -O -';
 
 # --------------------------------
 
@@ -61,6 +61,13 @@
 		$i_title && $i_title =~ s/($unescape_re)/$unescape{$1}/g;
 		$i_desc && $i_desc =~ s/($unescape_re)/$unescape{$1}/g;
 
+		# snippet by cpbotha: wordpress very kindly sends us CDATA tags in its feeds, so we RIP them out
+		# oh BTW, perl sucks.  Line noise does NOT constitute a programming language, really.
+		if ($i_desc =~ /<!\[CDATA\[(.*)\]\]/s) {
+    			$i_desc = $1;
+		}
+
+
 		# If no title, use the first 50 non-markup characters of the description
 		unless ($i_title) {
 			$i_title = $i_desc;
@@ -88,6 +95,7 @@
 		}
 		$yn eq 'q' && exit;
 		# Save entry to file (and via plug-in if specified)
+
 		$yn eq 'y' && 
 			$fh->open("> $i_fn") && print($fh $item) && $fh->close() &&
 			param('-plugin') && 
